## org.apache.xml.dtm.ref
Class DTMDefaultBaseIterators.ChildrenIterator

    java.lang.Object
      org.apache.xml.dtm.ref.DTMAxisIteratorBase
          org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
              org.apache.xml.dtm.ref.DTMDefaultBaseIterators.ChildrenIterator

All Implemented Interfaces:
  java.lang.Cloneable, DTMAxisIterator

Enclosing class:
  DTMDefaultBaseIterators

    public final class DTMDefaultBaseIterators.ChildrenIterator

extends DTMDefaultBaseIterators.InternalAxisIteratorBase

Iterator that returns all immediate children of a given node

Field Summary

Fields inherited from interface org.apache.xml.dtm.DTMAxisIterator
`END`

Constructor Summary
`DTMDefaultBaseIterators.ChildrenIterator()`

Method Summary
`int` `next()` Get the next node in the iteration.
`DTMAxisIterator` `setStartNode(int node)` Setting start to END should 'close' the iterator, i.e. subsequent call to next() should return END.

Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
`gotoMark, setMark`

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`cloneIterator, getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, isReverse, reset, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTMDefaultBaseIterators.ChildrenIterator

    public DTMDefaultBaseIterators.ChildrenIterator()

Method Detail

### setStartNode

    public DTMAxisIterator setStartNode(int node)

  Setting start to END should 'close' the iterator, i.e. subsequent call to next() should return END. If the iterator is not restartable, this has no effect. %REVIEW% Should it return/throw something in that case, or set current node to END, to indicate request-not-honored?

  Parameters:
    `node` - Sets the root of the iteration.
  Returns:
    A DTMAxisIterator set to the start of the iteration.

### next

    public int next()

  Get the next node in the iteration.

  Returns:
    The next node handle in the iteration, or END if no more are available.

Copyright © 2005 Apache XML Project. All Rights Reserved.